Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezsitemanager/admin/fileedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: fileedit.php 9330 2002-03-04 12:56:24Z ce $
5 //
6 // Created on: <11-Jul-2001 17:48:44 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezhttptool.php" );
30 // include_once( "classes/ezfile.php" );
31
32
33 if ( !file_exists( "ezsitemanager/staticfiles/$fileName" ) )
34 {
35 eZHTTPTool::header( "Location: /error/404/" );
36 exit();
37 }
38
39 if ( isset( $Store ) )
40 {
41 $fp = eZPBFile::fopen( "ezsitemanager/staticfiles/$fileName", "w+");
42 fwrite ( $fp, $Contents );
43 fclose( $fp );
44 }
45
46
47 $ini =& eZINI::instance( 'site.ini' );
48 $Language = $ini->variable( "eZSiteManagerMain", "Language" );
49
50 $t = new eZTemplate( "kernel/ezsitemanager/admin/" . $ini->variable( "eZSiteManagerMain", "AdminTemplateDir" ),
51 "kernel/ezsitemanager/admin/" . "/intl", $Language, "fileedit.php" );
52 $t->setAllStrings();
53
54 $t->set_file( "file_edit_tpl", "fileedit.tpl" );
55
56 $lines = eZPBFile::file( "ezsitemanager/staticfiles/$fileName" );
57 $contents = "";
58 foreach ( $lines as $line )
59 {
60 $contents .= $line;
61 }
62 $t->set_var( "file_contents", htmlspecialchars( $contents ) );
63
64 $t->set_var( "file_name", $fileName );
65
66
67 $t->pparse( "output", "file_edit_tpl" );
68
69 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPBFile\fopen
static fopen( $filename, $options)
Definition: ezpbfile.php:326
eZPBFile\file
static file( $filename)
Definition: ezpbfile.php:428
eZTemplate
Definition: eztemplate.php:107
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$fp
$fp
Definition: export.php:97
$fileName
if(eZObjectPermission::hasPermission( $file->id(), "filemanager_file", "r", $user)==false) $fileName
Definition: ezfilemanager/user/filedownload.php:43
$t
$t
Definition: ezsitemanager/admin/fileedit.php:50
$lines
$lines
Definition: ezsitemanager/admin/fileedit.php:56
$contents
$contents
Definition: ezsitemanager/admin/fileedit.php:57
$Language
$Language
Definition: ezsitemanager/admin/fileedit.php:48
$ini
if(!file_exists("ezsitemanager/staticfiles/$fileName")) if(isset( $Store)) $ini
Definition: ezsitemanager/admin/fileedit.php:47
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.